Autor Thema: DarkOne4Mod: modernisierte Config für CUI  (Gelesen 16345 mal)

Fladder72

  • Gelegenheitsposter
  • *
  • Beiträge: 25
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #120 am: 25. November 2017, 14:22:56 »
Danke, @grimes :top:

dave

  • Gelegenheitsposter
  • *
  • Beiträge: 33
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #121 am: 25. November 2017, 16:37:15 »
Kann es sein das Du auch JScript Panel aktualisiert hast, dort ist nämlich in der aktuellen Version genau dieser Befehl "CreateStyleTextRender" rausgeflogen.

Also: ältere Version von JScript Panel wieder zurückholen und warten bis das Script dem neuen Panel angepasst wurde.
Ich hatte JScript Panel Version 1.3.1 -> Crash, dann Update auf 1.3.2 gemacht -> Crash.

Hier der entsprechende thread für das Problem auf hydrogenaud.io:
https://hydrogenaud.io/index.php/topic,110499.msg948040.html#msg948040
marc2003 hat auch einen Patch des Skriptes bereitgestellt.
Danke, funktioniert.  :smitten:

Dave
Gruß, dave

oliver_bay

  • Besucher
  • *
  • Beiträge: 3
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #122 am: 29. November 2017, 17:08:08 »
Hallo Dave
Ich bin neu in diesem Forum und habe dasselbe Problem mit JScript kannst du mir erklären wie ich welchen Code im Cover-Panel ersetzen muss. Ich hatte JScript Panel Version 1.3.1 -> Crash, dann Update auf 1.3.2 gemacht -> Crash.

Ich habe keine Ahnung von Java-Programmierung. Habe versucht Cover-Panel zu editieren. Vielen Dank und Gruss
Oli

Kann es sein das Du auch JScript Panel aktualisiert hast, dort ist nämlich in der aktuellen Version genau dieser Befehl "CreateStyleTextRender" rausgeflogen.

Also: ältere Version von JScript Panel wieder zurückholen und warten bis das Script dem neuen Panel angepasst wurde.
Ich hatte JScript Panel Version 1.3.1 -> Crash, dann Update auf 1.3.2 gemacht -> Crash.

Hier der entsprechende thread für das Problem auf hydrogenaud.io:
https://hydrogenaud.io/index.php/topic,110499.msg948040.html#msg948040
marc2003 hat auch einen Patch des Skriptes bereitgestellt.
Danke, funktioniert.  :smitten:

Dave
« Letzte Änderung: 29. November 2017, 19:21:55 von oliver_bay »

grimes

  • * Tutorialschreiber *
  • Administrator
  • *
  • Beiträge: 2294
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #123 am: 30. November 2017, 17:17:08 »
Du brauchst keine Ahnung von Javascript Programmierung haben.
Das pastebin.com Skript auf hydrogenaud.io ist komplett. Du brauchst lediglich das alte Skript mit dem neuen zu ersetzen. Wie geht das: Rechtsklick in fehlerhaftes panel | Configure | gesamtes Skript markieren (STRG-A) und mit dem neuen von pastebin ersetzen.
Joseph Mallord William Turner (1775-1851) - Die kämpfende Temeraire (1838)

oliver_bay

  • Besucher
  • *
  • Beiträge: 3
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #124 am: 30. November 2017, 19:03:53 »
Hallo Grimes
Vielen Dank für den Hinweis. Anscheinend wurde JScript Panel rausgenommen. Es kommen jedenfalls keine Updates mehr und ich habe die Version 1.1.6 installiert. Aus der Webseite von foobar2000 finde ich unter Components JScript Panel nicht mehr. Versteh das nicht, komisch. Gruss Oli
« Letzte Änderung: 30. November 2017, 20:29:03 von oliver_bay »

grimes

  • * Tutorialschreiber *
  • Administrator
  • *
  • Beiträge: 2294
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #125 am: 01. Dezember 2017, 12:53:48 »
marc2003 hat sein JScript Panel aus den components der foobar2000 Webseite herausgenommen. Man sollte das Plugin nur updaten, wenn man die Änderungen der neuen Version verstanden hat. Ein automatisches Update kann da zu Problemen führen. Natürlich kann man noch manuell updaten mit: https://github.com/19379/foo-jscript-panel/releases
Joseph Mallord William Turner (1775-1851) - Die kämpfende Temeraire (1838)

oliver_bay

  • Besucher
  • *
  • Beiträge: 3
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #126 am: 01. Dezember 2017, 18:11:30 »
Vielen Dank für deine Hilfe  :smitten:

Kannst du mir noch sagen was hiermit gemeint ist??? Dieser Link

https://hydrogenaud.io/index.php/topic,110499.msg948040.html#msg948040

Reply #363 – 24 November, 2017, 05:15:48 AM

grimes

  • * Tutorialschreiber *
  • Administrator
  • *
  • Beiträge: 2294
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #127 am: 01. Dezember 2017, 18:27:50 »
Das ist unwichtig. Die Properties (Übersichtliche Definition von Variablen) von JScript Panel brauchst Du so gut wie nie und dann kann es eventuell flackern. Also nur kosmetisches.
Joseph Mallord William Turner (1775-1851) - Die kämpfende Temeraire (1838)

dave

  • Gelegenheitsposter
  • *
  • Beiträge: 33
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #128 am: 02. Dezember 2017, 19:57:33 »
Hallo,

JScript Panel (mit Patch von marc2003) crashed nach setzen von Rating Sternen:

Zitat
JScript Panel (DarkOne4Mod - Rating Panel v1.0 build20160929 by super-gau and tedGo)
Laufzeitfehler in JavaScript:
Das Objekt unterstützt die Eigenschaft oder Methode "UpdateFileInfoSimple" nicht
File: <main>
Line: 156, Col: 21
<source text only available at compile time>

Das Rating an sich klappt und ist auch nach Neustart vorhanden.
Ist aber blöd, wenn man nur noch jeweils 1-mal raten kann ...  :uglystupid2:

Dave

Gruß, dave

TomPro

  • * Tutorialschreiber *
  • Stammposter
  • *
  • Beiträge: 233
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #129 am: 04. Dezember 2017, 18:56:55 »

v1.3.0

@19379 19379 released this on 22 Sep · 81 commits to master since this release

Please read carefully before using as this update has breaking changes.

- CHG: Support for IE7/IE8/WINE users has been dropped. Your computer
       must have IE9 or later installed.
- CHG: The "UpdateFileInfoSimple" handle and handle list methods are
       now gone.

- ADD: A new "UpdateFileInfoFromJSON" method has been added. See
       https://github.com/19379/foo-jscript-panel/wiki/Breaking-Changes#v130
       If anyone needs help with this, just ask.
- ADD: You can now create an empty handle list with fb.CreateHandleList()
       See docs\interfaces.txt


grimes

  • * Tutorialschreiber *
  • Administrator
  • *
  • Beiträge: 2294
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #130 am: 04. Dezember 2017, 19:11:17 »
Hmm, man sollte dann vielleicht die alte Version 1.2.4 von JScript Panel installieren und warten bis tedgo eine neue Version bereitstellt. Version 1.2.4 gibt es unter https://github.com/19379/foo-jscript-panel/releases
Joseph Mallord William Turner (1775-1851) - Die kämpfende Temeraire (1838)

dave

  • Gelegenheitsposter
  • *
  • Beiträge: 33
Re: DarkOne4Mod: modernisierte Config für CUI
« Antwort #131 am: 04. Dezember 2017, 21:13:53 »
@TomPro, grimes

Danke euch. Version 1.2.4 von JScript Panel ist die Lösung aller Probleme.  :top:

P.s.: Gibt es Neues von Gerhard (tedgo)? Ich hoffe doch sehr, dass alles ok ist und er irgendwo die Sonne genießt.  8)
Gruß, dave